package com.unis.detectionnum.server.dao;

import org.springframework.stereotype.Repository;

import com.unis.detectionnum.server.entity.CameraParamDO;

@Repository
public interface CameraParamDao {
	
    int deleteByPrimaryKey(Integer id);

    int insert(CameraParamDO record);

    int insertSelective(CameraParamDO record);

    CameraParamDO selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(CameraParamDO record);

    int updateByPrimaryKey(CameraParamDO record);

	/** 
	 * @Title: updateBySbCode 
	 * @Description: 根据设备code修改
	 * @param cameraParamDO
	 * @param @return
	 * @return int
	 * @throws 
	 */
	int updateBySbCode(CameraParamDO cameraParamDO);

	/** 
	 * @Title: selectBySbCode 
	 * @Description: 根据sbCode查询
	 * @param sbCode
	 * @return CameraParamDO
	 * @throws 
	 */
	CameraParamDO selectBySbCode(String sbCode);

	/** 
	 * @Title: deleteBySbCode 
	 * @Description: 根据sbCode删除
	 * @param sbCode
	 * @return void
	 * @throws 
	 */
	int deleteBySbCode(String sbCode);
}